package billing

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type billMongoAccessor struct {
	utils.AbstractAccessor[*Bill]
}

func NewAccessor(request *tools.APIRequest) *billMongoAccessor {
	return &billMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*Bill]{
			Logger:  logs.CreateLogger(tools.BILL.String()),
			Request: request,
			Type:    tools.BILL,
			New:     func() *Bill { return &Bill{} },
		},
	}
}
